Skip to main content
GET
List rounds

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Query Parameters

league_id
string | null

Return rounds from this league only.

Pattern: ^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
division_id
string | null

Return rounds from this division only.

Pattern: ^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
division_type
string | null

Return rounds from this division type only.

status
enum<string>[] | null

Return rounds in any of these lifecycle states.

Available options:
pending,
claimed,
running,
completed,
failed,
cancelled
limit
integer
default:25

Maximum rounds to return.

Required range: 1 <= x <= 200
cursor
string | null

Opaque cursor returned by the previous page.

Response

Successful Response

entries
RoundPublic · object[]
required

Rounds in this page, ordered newest first.

next_cursor
string | null
required

Opaque cursor for the next page, or null when this is the last page.